package application;
	
import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.input.KeyCode;
import javafx.scene.input.KeyEvent;
import javafx.scene.input.MouseEvent;
import javafx.scene.paint.Color;
import javafx.stage.Stage;


public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			Group root = new Group();
			Scene scene = new Scene(root);
			Canvas canvas = new Canvas(800,800);
			GraphicsContext graphicsContext = canvas.getGraphicsContext2D();
	        canvas.setOnMouseDragged(new EventHandler<MouseEvent>() {

				@Override
				public void handle(MouseEvent event) {
					graphicsContext.setFill(Color.BLACK);
		            graphicsContext.fillOval(event.getX(), event.getY(), 10, 10);
				}
			});
	        
	        canvas.setOnKeyPressed(new EventHandler<KeyEvent>() {

				@Override
				public void handle(KeyEvent event) {
					//premendo c cancella tutto
					if(event.getCode().equals(KeyCode.C)) {
						graphicsContext.setFill(Color.WHITE);
			            graphicsContext.fillRect(0, 0, canvas.getWidth(), canvas.getHeight());
					}
				}
			});
	        canvas.setFocusTraversable(true);
	        root.getChildren().add(canvas);	        
			
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
