package application;

import javafx.scene.image.Image;

public class Personaggio {

	public final static int MUOVI_DESTRA = 0;
	public final static int MUOVI_SINISTRA = 1;
	public final static int MUOVI_SOPRA = 2;
	public final static int MUOVI_SOTTO = 3;
	int x;
	int y;
	private int velocita;
	private Image img = null;
	private Image[] images = new Image[4];
	
	public Personaggio(int x, int y, int velocita) {
		this.x = x;
		this.y = y;
		this.velocita = velocita;		
		images[MUOVI_DESTRA] = new Image(getClass().getResourceAsStream("pacman_destra.png"));
		images[MUOVI_SINISTRA] = new Image(getClass().getResourceAsStream("pacman_sinistra.png"));
		images[MUOVI_SOPRA] = new Image(getClass().getResourceAsStream("pacman_sopra.png"));
		images[MUOVI_SOTTO] = new Image(getClass().getResourceAsStream("pacman_sotto.png"));
		img = images[MUOVI_DESTRA];
	}
	
	public Image getImage() {
		return img;
	}

	public void muovi(int direzione) {
		switch (direzione) {
		case MUOVI_DESTRA:
			x += velocita;
			img = images[direzione];
			break;

		case MUOVI_SINISTRA:
			x -= velocita;
			img = images[direzione];
			break;

		case MUOVI_SOPRA:
			y -= velocita;
			img = images[direzione];
			break;

		case MUOVI_SOTTO:
			y += velocita;
			img = images[direzione];
			break;

		default:
			break;
		}
	}
}
